Bug 961645 - PRD33 - [RHEVM-RHS] Bootstrapping should set iptables rules, allowing gluster process on RHS Nodes
PRD33 - [RHEVM-RHS] Bootstrapping should set iptables rules, allowing gluster...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
x86_64 Linux
medium Severity unspecified
: ---
: 3.3.0
Assigned To: Sahina Bose
Rejy M Cyriac
gluster
: Improvement
Depends On:
Blocks: 977619
  Show dependency treegraph
 
Reported: 2013-05-10 03:36 EDT by SATHEESARAN
Modified: 2016-02-10 13:58 EST (History)
12 users (show)

See Also:
Fixed In Version: is2
Doc Type: Enhancement
Doc Text:
On Red Hat Storage nodes, gluster processes were blocked by iptables rules, so volumes could not be mounted. This update adds the ports required for GlusterFS brick processes (49152 to 49251) and for accessing Gluster volumes (port 111) in the iptables configuration file. It also leaves the old ports (24009 to 24108) open for compatibility with older servers.
Story Points: ---
Clone Of:
: 977619 (view as bug list)
Environment:
virt rhev integration
Last Closed: 2014-01-21 12:20:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11804 None None None Never
oVirt gerrit 12974 None None None Never

  None (edit)
Description SATHEESARAN 2013-05-10 03:36:14 EDT
Description of problem:
On RHS Nodes, gluster processes are blocked, by iptables rules, and so volumes could not be mounted.

Bootstrapping, should take care of adding iptables rules for gluster  and other related processes.

Version-Release number of selected component (if applicable):
RHS 2.1 - glusterfs 3.4.0.5rhs-1

How reproducible:
Always

Steps to Reproduce:
1. Create a gluster cluster in RHEVM
2. Add RHS nodes to gluster cluster
3. Create a volume and try to make it as Storage Domain.
  
Actual results:
Unable to mount the storage domain [ gluster volume ], because iptables blocking

Expected results:
should able to mount the storage domain [ gluster volume ]

Additional info:
After performing iptables flush, the storage domain [gluster volume] could be mounted
Comment 2 Sahina Bose 2013-06-24 02:37:54 EDT
Available in 3.3 now
Comment 3 Rejy M Cyriac 2013-08-28 07:28:03 EDT
Verified on RHEVM 3.3 IS11 Build, with RHS 2.1 (glusterfs-server-3.4.0.24rhs-1.el6rhs)
Comment 4 Charlie 2013-11-27 19:22:00 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 5 errata-xmlrpc 2014-01-21 12:20:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.